Stack Exchange Network

Stack Exchange network consists of 175 Q&A communities including Stack Overflow, the largest, most trusted online community for developers to learn, share their knowledge, and build their careers.

Visit Stack Exchange

Questions tagged [ubuntugis]

A GIS repository for Ubuntu Linux operating systems. It is an external repository (PPA) that can be added to sources.list. It contains many FOSS GIS packages including all dependencies. Users should check the UbuntuGIS website for a list of software and tools included in the package at any given time.

4
votes
1answer
951 views

QGIS 2.18.5 update breaks on Ubuntu 16.04 [closed]

Concurrent updates to GDAL (to 2.1.3) and QGIS (to 2.18.5) on Linux Mint 18.1 from the Ubuntugis repos breaks QGIS, with a noted dependency for the virtual package gdal-abi-2-1-2 being uninstallable. ...
3
votes
1answer
331 views

QGIS 2.10 with ubuntugis dependecies Grass issues Ubuntu 14.04

I saw in Installing QGIS with GRASS plugin on Ubuntu? how to get Qgis 2.10 running from the non ubuntugis repository with grass features but I'm still having problems with getting it to work with the ...
3
votes
2answers
1k views

Install QGIS 3.x on Ubuntu 18.04

I've tried several packages including ubuntugis but none helped. How to install qgis 3.x, more preferably qgis 3.4 lts in Ubuntu? I've added following repos:: sudo add-apt-repository ppa:ubuntugis/...
5
votes
2answers
235 views

GRASS r.in.lidar tool generates incomplete rasters

I have been trying to import a huge LIDAR file (10.5) Gb to GRASS GIS using r.in.lidar. It does the task, but only for part of the image, as shown below: Canopy Height Model (CHM) generated with ...
8
votes
1answer
289 views

QGIS Server doesn't render any fonts on Ubuntu 16.04

I just updated qgis-server package to latest 3.2.x from Ubuntugis repository (ubuntugis-unstable) and everything works fine - but font rendering. All labels on tiles, legend and print templates show ...
6
votes
1answer
2k views

Where to find a version of libgeos-c1 compatible with libgeos-3.5.0?

This morning a number of Python scripts stopped functioning after a system upgrade. libgdal is no longer available, resulting in the following exception: ImportError: libgdal.so.1: cannot open shared ...
5
votes
1answer
3k views

QGIS installation fails under Ubuntu 16.04

I decided yesterday to upgrate QGIS from 2.16 to 2.18. This turned out to be a stupid idea, because the following happened: After removing, purging and autoremoving qgis, python-gis and grass I ...
5
votes
3answers
341 views

Qgis globe plugin (2.16) missing on Ubuntu 14.04

I just upgraded from Qgis 2.14 to 2.16 and I can't get the Globe plugin to work. Apparently, under Ubuntu it is necessary to install it separately. But in the Ubuntugis repository, only version 2.14 ...
2
votes
2answers
3k views

Install QGIS Ubuntugis on Ubuntu 17.10

can't install qgis as per qgis download page. at command line: sudo apt-get install qgis python-qgis qgis-plugin-grass getting unmet dependencies: The following packages have unmet dependencies: ...
1
vote
1answer
424 views

undefined symbol: OGR_F_SetFieldNull when installing qgis

I tried to re-install qgis on Ubuntu 16.04 LTS (xenial) using the ubuntugis repository (http://qgis.org/ubuntugis) but I get the following error messages which I cannot resolve: Setting up qgis-...
0
votes
1answer
54 views

Import Files failed with cartoDB installed in Ubuntu 14.04 LTS

I have successully installed and configured CartoDB in Ubuntu 14.04 LTS VM and could also view the main page of CartoDB interface and login into my development account. But when I try to import any ...